🤖Find a HS Code
Generate customs standard item descriptions and find accurate HS Codes - powered by AI.
/hs-codes/ai/search
POST https://api.terminal.africa/v1/hs-codes/ai/search
Use this endpoint to generate a customs-ready item description and return likely HS codes.
See API Pricing for usage fees.
Headers
Name
Type
Description
Authorization*
string
Set value to Bearer SECRET_KEY
Request Body
Name
Type
Description
description*
string
Plain-language description of the item.
{
"status": true,
"message": "HS code search completed successfully",
"data": [
{
"hs_code": "8471300100",
"description": "14-inch laptop computer",
"tags": [
"laptop",
"portable ADP",
"Apple",
"notebook computer",
"electronics"
],
"scientific_name": "",
"hs_code_id": "HS-IO3Q47OVSXPL5WI5",
"regulatory_documents": []
}
]
}Last updated
Was this helpful?